https://www.docusign.com/v2.1/accounts/{accountId}/shared_accessThis sets the shared access status for one or more users or templates. When setting user shared access, only users with account administration privileges can set shared access status for envelopes. When setting template shared access, only users who own a template and have sharing permission or with account administration privileges can set shared access for templates. Changes to the shared items status are not additive. The change always replaces the current status. To change template shared access, add the query parameter `item_type` = `templates` to the request. When this is set, the user and envelopes properties are not required. **Note:** This functionality is a newer version of the Update Group Share functionality. ### Related topics - How to share access to a Docusign envelope inbox
The external account number (int) or account ID GUID.
Specifies the type of shared item being set: - `envelopes`: Set envelope sharing between users. - `templates`: Set information about template sharing among users and groups. - `folders`: Get information about folder sharing among users and groups.
When **true,** preserve the existing shared access settings.
A comma-separated list of IDs for users whose shared item access is being set.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/shared_access' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/shared_accessThis sets the shared access status for one or more users or templates. When setting user shared access, only users with account administration privileges can set shared access status for envelopes. When setting template shared access, only users who own a template and have sharing permission or with account administration privileges can set shared access for templates. Changes to the shared items status are not additive. The change always replaces the current status. To change template shared access, add the query parameter `item_type` = `templates` to the request. When this is set, the user and envelopes properties are not required. **Note:** This functionality is a newer version of the Update Group Share functionality. ### Related topics - How to share access to a Docusign envelope inbox
The external account number (int) or account ID GUID.
Specifies the type of shared item being set: - `envelopes`: Set envelope sharing between users. - `templates`: Set information about template sharing among users and groups. - `folders`: Get information about folder sharing among users and groups.
When **true,** preserve the existing shared access settings.
A comma-separated list of IDs for users whose shared item access is being set.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/shared_access' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}